<head>
  <meta name="layout" content="main"/>
  <title>Demand of Agent '%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

${personInstance}'</title>
  <flot:resources/>

</head>

<body>

<div class="nav">
  <span class="menuButton"><a class="home" href="${resource(dir: '')}">Home</a></span>
  <span class="menuButton"><g:link class="list" action="list">Person List</g:link></span>
  <span class="menuButton"><g:link class="list" action="show" id="${personInstance.id}">Show Person</g:link></span>
</div>

<div class="body">
  <h1>Demand of Agent '${personInstance}'</h1>
  <div class="quiet">As of Time <g:formatDate date="${competitionInstance?.currentCompetitionTime}" format="yyyy-MMM-dd HH:mm"/> </div>
  <g:if test="${flash.message}">
    <div class="success">${flash.message}</div>
  </g:if>
  <div>
    <div id="legend" style="margin-top:20px"></div>
    <g:javascript>
var forecastDemand = ${forecastDemand};
var realDemand = ${reaLDemand};
var acquiredDemand = ${acquiredDemand};

var data = [{ label: "Energy demand forecast", lines: { show: true, steps: true }, data: forecastDemand}, { label: "Real (unknown) energy demand", lines: { show: true, steps: true }, data: realDemand}, {label: "Energy acquired", bars: { show: true, barWidth: 3540000 }, data: acquiredDemand}];

var options = {
  xaxis: { mode: "time" },
  yaxis: {},
  //lines: { show: true },
  legend: {container: $("#legend"), noColumns: 3},
  grid: {
    backgroundColor: { colors: ["#fff", "#eee"] },
    markings: [ { xaxis: { from: ${competitionInstance?.currentCompetitionTime?.getTime()}, to: ${competitionInstance?.currentCompetitionTime?.getTime()}}, color: "#ccc" }]
  }
};
    </g:javascript>
    <flot:plot id="placeholder" style="width: 750px; height: 300px;" data="data" options="options"/>

  </div>
</div>
</body>
