/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package edu.kit.iism.cdamarket.auth

import org.apache.activemq.broker.BrokerFilter
import org.apache.activemq.security.SecurityAdminMBean
import org.springframework.security.providers.AuthenticationProvider
import org.springframework.security.Authentication

/**
 * Provides plugin authorziation functionaliy for activemq jms
 *
 * @author Carsten Block
 * @since 0.5
 * @version 1
 * First created: 02.05.2010
 * Last Updated: 02.05.2010
 */

class AuthorizationBroker extends BrokerFilter implements SecurityAdminMBean, AuthenticationProvider {
  Authentication authenticate(Authentication authentication) {
    return null;  //To change body of implemented methods use File | Settings | File Templates.
  }

  boolean supports(Class aClass) {
    return false;  //To change body of implemented methods use File | Settings | File Templates.
  }

  void addRole(String s) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  void removeRole(String s) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  void addUserRole(String s, String s1) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  void removeUserRole(String s, String s1) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  void addTopicRole(String s, String s1, String s2) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  void removeTopicRole(String s, String s1, String s2) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  void addQueueRole(String s, String s1, String s2) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  void removeQueueRole(String s, String s1, String s2) {
    //To change body of implemented methods use File | Settings | File Templates.
  }
}
