%{--
  - Copyright 2009-2010 the original author or authors.
  -
  - Licensed under the Apache License, Version 2.0 (the "License");
  - you may not use this file except in compliance with the License.
  - You may obtain a copy of the License at
  -
  -  http://www.apache.org/licenses/LICENSE-2.0
  -
  - Unless required by applicable law or agreed to in writing, software
  - distributed under the License is distributed on an
  -
  - "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
  -
  - either express or implied. See the License for the specific language
  - governing permissions and limitations under the License.
  --}%

<%@ page import="edu.kit.iism.cdamarket.Product; edu.kit.iism.cdamarket.Shout" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="layout" content="main"/>
  <g:set var="entityName" value="${message(code: 'shout.label', default: 'Shout')}"/>
  <title><g:message code="default.list.label" args="[entityName]"/></title>
</head>
<body>
<div class="nav">
  <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
  <span class="menuButton"><g:link class="list" controller="shout" action="list">Shout Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="orderbook" action="list">Orderbook Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="quotes">Quote Liste</g:link></span>
  <span class="menuButton"><g:link class="list" controller="transactionLog" action="trades">Trade Liste</g:link></span>
</div>
<div class="body">
  <h2>Send JMS Messagens</h2>
  <div>
    <h1>Queues filled by agents:</h1>
    <ul>
    <li><g:link action="sendSell">sendSell</g:link></li>
    <li><g:link action="sendBuy">sendBuy</g:link></li>
    <li><g:link action="sendFailedOrder">sendFailedOrder</g:link></li>
    <li><g:link action="sendWrongAuthentication">sendWrongAuthentication</g:link></li>
    <li><g:link action="sendReady">sendReady</g:link></li>
  </ul></div>
  <br>
  <div>
    <h1>Queues filled by engine:</h1>
  <ul>
    <li><g:link action="sendOrderstatus">sendOrderstatus</g:link></li>
    <li><g:link action="sendCash">sendCash</g:link></li>
    <li><g:link action="sendDepot">sendDepot</g:link></li>
    <li><g:link action="sendDepot">sendDepot</g:link></li></li>
  </ul>
  </div><br>
  <div>
    <h1>Topics filled by engine:</h1>
    <ul>
      <li><g:link action="sendOrderbook">sendOrderbook</g:link></li>
      <li><g:link action="sendQuote">sendQuote</g:link></li>
      <li><g:link action="sendTrade">sendTrade</g:link></li>
      <li><g:link action="sendOpenProduct">sendOpenProduct</g:link></li>
      <li><g:link action="sendCloseProduct">sendCloseProduct</g:link></li>
      <li><g:link action="sendSystemDate">sendSystemDate</g:link></li>
      <li><g:link action="sendSystemText">sendSystemText</g:link></li>

    </ul></div>

</div>
</body>
</html>
